/***************************************************************************
 *   Copyright (C) 2006 by Alexios Beveratos   *
 *   alexios@beveratos.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KGPSIMAGETAGPREF_H_
#define _KGPSIMAGETAGPREF_H_

#include <kdialogbase.h>
#include <qframe.h>

class kGpsImageTagPrefPageOne;
class kGpsImageTagPrefPageTwo;

class kGpsImageTagPreferences : public KDialogBase
{
    Q_OBJECT
public:
    kGpsImageTagPreferences();

private:
    kGpsImageTagPrefPageOne *m_pageOne;
    kGpsImageTagPrefPageTwo *m_pageTwo;
};

class kGpsImageTagPrefPageOne : public QFrame
{
    Q_OBJECT
public:
    kGpsImageTagPrefPageOne(QWidget *parent = 0);
};

class kGpsImageTagPrefPageTwo : public QFrame
{
    Q_OBJECT
public:
    kGpsImageTagPrefPageTwo(QWidget *parent = 0);
};

#endif // _KGPSIMAGETAGPREF_H_
